<?php

return [
    'page_change_monitor' => [
        'label'        => 'Monitor',
        'instructions' => 'Monitor page changes by users in any one of the selected roles.',
        'type'         => 'anomaly.field_type.checkboxes',
        'config'       => [
            'options' => function (\Anomaly\UsersModule\Role\Contract\RoleRepositoryInterface $roles) {
                return $roles->all()->pluck('name', 'slug');
            },
        ],
    ],
    'page_change_notify'  => [
        'label'        => 'Notify',
        'instructions' => 'Send change notifications to users in the selected roles.',
        'type'         => 'anomaly.field_type.checkboxes',
        'config'       => [
            'options' => function (\Anomaly\UsersModule\Role\Contract\RoleRepositoryInterface $roles) {
                return $roles->all()->pluck('name', 'slug');
            },
        ],
    ],
];
