<?php namespace Terrostar\ChangeNotificationsExtension;

use Anomaly\PagesModule\Page\Form\PageEntryFormBuilder;
use Anomaly\Streams\Platform\Addon\AddonServiceProvider;
use Terrostar\ChangeNotificationsExtension\Command\SendPageChangeNotifications;

class ChangeNotificationsExtensionServiceProvider extends AddonServiceProvider
{

    public function boot(PageEntryFormBuilder $pages)
    {
        $pages->listen(
            'saved',
            function (PageEntryFormBuilder $builder) use ($pages) {
                $this->dispatch(new SendPageChangeNotifications($builder));
            }
        );
    }
}
